var version     = '2.3.0';
var displayName = 'Preferences Toolbar';
var appName     = 'prefbar';
var author      = 'Aaron Anderson';

var jarName     = appName + '.jar';

var files       = [];


var err = initInstall(displayName, appName, version);


var UChrome	= getFolder('Chrome');
var contentFlag = CONTENT | DELAYED_CHROME;
var localeFlag  = LOCALE | DELAYED_CHROME;


var existsInGlobal  = File.exists(getFolder(UChrome, jarName));
var existsInProfile = File.exists(getFolder(getFolder('Current User', 'chrome'), jarName));
if (existsInGlobal && existsInProfile) {
	cancelInstall(err);
}
else {

	if (existsInProfile ||
		(!existsInGlobal && !confirm("Do you want to install this addon for all users?\n(Administrator rights required)\n\nSoll das AddOn fr alle Benutzer installiert werden?\n(Administrator-Rechte notwendig)"))) {
		UChrome = getFolder('Current User', 'chrome');
		contentFlag = CONTENT | PROFILE_CHROME;
		localeFlag  = LOCALE | PROFILE_CHROME;
	}


	logComment('initInstall: ' + err);
	setPackageFolder(UChrome);

	addFile(displayName, 'chrome/' + jarName, UChrome, '');
	var folder = getFolder(UChrome, jarName);
	files.push(folder);

	registerChrome(contentFlag, folder, 'content/'+appName+'/');

	// Language packs
	registerChrome(localeFlag, folder, 'locale/de-AT/'+appName+'/');
	registerChrome(localeFlag, folder, 'locale/en-US/'+appName+'/');


	err = getLastError();
	if (err == SUCCESS) {
		err = performInstall();
		if (err == SUCCESS)
		{
			alert(
			'Ver.'+version+'\n\n'+
			"installed"+'\n'+
			files.join('\n')+'\n\n\n'+
			"successfully completed!");
		}
		else
		{
			cancelInstall(err);
			alert("Install failed!  You probably don't have appropriate permissions (write access to the mozilla/chrome directory.)\n\nInstallation fehlgeschlagen!  Sie haven vielleicht nicht die ntigen Berechtigungen (Schreibrecht im Mozilla/Chrome Verzeichnis)\n\nError Code: " + err);
		}
	}
	else {
		cancelInstall(err);
		alert("Install failed!  You probably don't have appropriate permissions (write access to the mozilla/chrome directory.)\n\nInstallation fehlgeschlagen!  Sie haven vielleicht nicht die ntigen Berechtigungen (Schreibrecht im Mozilla/Chrome Verzeichnis)\n\nError Code: " + err);
	}
}